Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class InterMediaMovie

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.Category
                          oracle.ifs.beans.TieCategory
                              oracle.ifs.beans.InterMediaSource
                                  oracle.ifs.beans.TieInterMediaSource
                                      oracle.ifs.beans.InterMediaMovie

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieInterMediaMovie

    public class InterMediaMovie

extends TieInterMediaSource

InterMediaMovie subclass. This Category subclass is meant to represent meta data extracted from a Movie file. The extraction is performed by the InterMediaAnnotatorAgent. Typically, when a movie file is encounted, multiple InterMedia categories will be associtated with that file; one for the entire Movie, and one for each Video and Audio track that is present (usually only one of each). The InterMediaAnnotatorAgent will also attempt to extract any textual information (such as closed caption text) and make that text available to the 9iFS integration with Oracle Text, thus enhancing search capabilities.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `MOVIECAST_ATTRIBUTE` Name of the MOVIECAST Attribute
`static java.lang.String` | `MOVIEDIRECTOR_ATTRIBUTE` Name of the MOVIEDIRECTOR Attribute
`static java.lang.String` | `MOVIEEDITINFORMATION_ATTRIBUTE` Name of the MOVIEEDITINFORMATION Attribute
`static java.lang.String` | `MOVIEWARNING_ATTRIBUTE` Name of the MOVIEWARNING Attribute

Fields inherited from class oracle.ifs.beans.InterMediaSource
`MEDIAAUTHORINGTOOL_ATTRIBUTE, MEDIABITRATE_ATTRIBUTE, MEDIACATEGORY_ATTRIBUTE, MEDIACONTENTDATE_ATTRIBUTE, MEDIACOPYRIGHT_ATTRIBUTE, MEDIACREATIONTIME_ATTRIBUTE, MEDIACREDITS_ATTRIBUTE, MEDIADESCRIPTION_ATTRIBUTE, MEDIADURATION_ATTRIBUTE, MEDIAFORMATENCODING_ATTRIBUTE, MEDIAFORMATENCODINGCODE_ATTRIBUTE, MEDIAINFORMATION_ATTRIBUTE, MEDIALANGUAGE_ATTRIBUTE, MEDIAMODIFICATIONTIME_ATTRIBUTE, MEDIAPRODUCER_ATTRIBUTE, MEDIASIZE_ATTRIBUTE, MEDIASOURCEDIRECTORY_ATTRIBUTE, MEDIASOURCEFILEFORMAT_ATTRIBUTE, MEDIASOURCEFILEFORMATCODE_ATTRIBUTE, MEDIASOURCEFILENAME_ATTRIBUTE, MEDIASOURCEMIMETYPE_ATTRIBUTE, MEDIASOURCEPROTOCOL_ATTRIBUTE, MEDIASOURCESTREAMABLE_ATTRIBUTE, MEDIASOURCEURL_ATTRIBUTE, MEDIATIMESCALE_ATTRIBUTE, MEDIATITLE_ATTRIBUTE, MEDIATRACKID_ATTRIBUTE, MEDIAUSERDATA_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.Category
`ASSOCIATEDPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `InterMediaMovie(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a InterMediaMovie object - standard variant.

Method Summary
`java.lang.String` | `getMovieCast()` returns the Movie Casting
`java.lang.String` | `getMovieDirector()` returns the Director of the movie
`java.lang.String` | `getMovieEditInformation()` returns the Information about the editing
`java.lang.String` | `getMovieWarning()` returns the Rating and warning information

Methods inherited from class oracle.ifs.beans.InterMediaSource
`getMediaAuthoringTool, getMediaBitRate, getMediaCategory, getMediaContentDate, getMediaCopyright, getMediaCreationTime, getMediaCredits, getMediaDescription, getMediaDuration, getMediaFormatEncoding, getMediaFormatEncodingCode, getMediaFormatUserData, getMediaInformation, getMediaLanguage, getMediaModificationTime, getMediaProducer, getMediaSize, getMediaSourceDirectory, getMediaSourceFileFormat, getMediaSourceFileFormatCode, getMediaSourceFilename, getMediaSourceMimeType, getMediaSourceProtocol, getMediaSourceStreamable, getMediaSourceURL, getMediaTimeScale, getMediaTitle, getMediaTrackID`

Methods inherited from class oracle.ifs.beans.Category
`constructCategory, constructCategoryArray, constructCategoryVector, getAssociatedPublicObject, getFlagUpdatesForCreate, getFlagUpdatesForFree, moveCategory, postCreate, preFree, updateFlagsUponCreate, updateFlagsUponFree`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postUpdate, preCopy, preCreate, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `InterMediaMovie`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### MOVIEDIRECTOR_ATTRIBUTE

    public static final java.lang.String MOVIEDIRECTOR_ATTRIBUTE

  Description copied from class: `InterMediaMovie`
  Name of the MOVIEDIRECTOR Attribute

  See Also:
    Constant Field Values
  (Published)

### MOVIECAST_ATTRIBUTE

    public static final java.lang.String MOVIECAST_ATTRIBUTE

  Description copied from class: `InterMediaMovie`
  Name of the MOVIECAST Attribute

  See Also:
    Constant Field Values
  (Published)

### MOVIEEDITINFORMATION_ATTRIBUTE

    public static final java.lang.String MOVIEEDITINFORMATION_ATTRIBUTE

  Description copied from class: `InterMediaMovie`
  Name of the MOVIEEDITINFORMATION Attribute

  See Also:
    Constant Field Values
  (Published)

### MOVIEWARNING_ATTRIBUTE

    public static final java.lang.String MOVIEWARNING_ATTRIBUTE

  Description copied from class: `InterMediaMovie`
  Name of the MOVIEWARNING Attribute

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### InterMediaMovie

    protected InterMediaMovie(LibrarySession session,
                              java.lang.Long id,
                              java.lang.Long classId,
                              S_LibraryObjectData data)
                       throws IfsException

  Constructs a InterMediaMovie object - standard variant.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data components
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getMovieDirector

    public java.lang.String getMovieDirector()
                                      throws IfsException

  Description copied from class: `InterMediaMovie`
  returns the Director of the movie

  Returns:
    Director of the movie
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMovieCast

    public java.lang.String getMovieCast()
                                  throws IfsException

  Description copied from class: `InterMediaMovie`
  returns the Movie Casting

  Returns:
    Movie Casting
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMovieEditInformation

    public java.lang.String getMovieEditInformation()
                                             throws IfsException

  Description copied from class: `InterMediaMovie`
  returns the Information about the editing

  Returns:
    Information about the editing
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMovieWarning

    public java.lang.String getMovieWarning()
                                     throws IfsException

  Description copied from class: `InterMediaMovie`
  returns the Rating and warning information

  Returns:
    Rating and warning information
  Throws:
    `IfsException` - if operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD